#ifndef MRBGEMS_MACHINE_GPIO_GPIO_H
#define MRBGEMS_MACHINE_GPIO_GPIO_H

#include <stdint.h>

typedef enum {
    MRBGEMS_MACHINE_GPIO_MODE_DISABLED,
    MRBGEMS_MACHINE_GPIO_MODE_INPUT,
    MRBGEMS_MACHINE_GPIO_MODE_OUTPUT_PUSHPULL,
    MRBGEMS_MACHINE_GPIO_MODE_OUTPUT_OPENDRAIN,
} mrbgems_machine_gpio_mode_t;

int mrb_machine_impl_gpio_init(uint32_t pin, mrbgems_machine_gpio_mode_t mode);

#endif  // MRBGEMS_MACHINE_GPIO_GPIO_H
